︠27769b63-ea7d-4c95-9d96-2275cfa744fas︠
#----------------------------------------------------------------
# Sample code for UEET2533 Information Theory and Coding
# by Chong Zan Kai
# Email chongzk@utar.edu.my
# Universiti Tunku Abdul Rahman, Malaysia.
#
# Plot the entropy graph.
#
# Last modified on 2-Feb-2016.
#----------------------------------------------------------------


#
# Calculate the information of an event that has binary output.
#
def calc_entropy(p):
    bit = p * log(1/p, 2) + (1-p) * log(1/(1-p), 2)
    return bit



#----------------------------------------------------------------
# Main
#----------------------------------------------------------------
import scipy
import pylab


x_list = scipy.arange(0.01, 1.0, 0.01)
y_list = [calc_entropy(p) for p in x_list]

pylab.plot(x_list, y_list)
pylab.ylabel(r'Entropy, $H(X)$')
pylab.xlabel(r'Probability, $\Pr(X=1)$')
pylab.ylim(0, 1.1)
pylab.grid(True)

pylab.show()

︡e9a0f098-918c-4a1e-b4d7-d757fe13f976︡︡{"stdout":"[<matplotlib.lines.Line2D object at 0x7fbc8cab4b50>]\n","done":false}︡{"stdout":"<matplotlib.text.Text object at 0x7fbc8c7b2a10>\n","done":false}︡{"stdout":"<matplotlib.text.Text object at 0x7fbc8cc2f510>\n","done":false}︡{"stdout":"(0, 1.10000000000000)\n","done":false}︡{"once":false,"done":false,"file":{"show":true,"uuid":"1df73ad4-53d0-4136-870f-279b704a1c28","filename":"242281a5-6b78-4199-8000-e82b0785c9c1.svg"}}︡{"done":true}
︠140ca059-5d76-41fe-8e8b-388db39191fa︠









